---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: homepage
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: homepage-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        # App
        HOMEPAGE_VAR_PIHOLE: "{{ .HOMEPAGE_VAR_PIHOLE }}"
        HOMEPAGE_VAR_PROXMOX_USER: "{{ .HOMEPAGE_VAR_PROXMOX_USER }}"
        HOMEPAGE_VAR_PROXMOX_TOKEN: "{{ .HOMEPAGE_VAR_PROXMOX_TOKEN }}"
  dataFrom:
    - extract:
        key: HOMEPAGE
    - extract:
        key: PROXMOX
